%global source_name	usb-modeswitch-data

Summary:	USB Modeswitch gets mobile broadband cards in operational mode
Name:		usb_modeswitch-data
Version:	20191128
Release:	5%{?dist}
License:	GPLv2+
URL:		http://www.draisberghof.de/usb_modeswitch/
Source0:	http://www.draisberghof.de/usb_modeswitch/%{source_name}-%{version}.tar.bz2

BuildArch:	noarch
BuildRequires:  make systemd
Requires:	systemd
Requires:	usb_modeswitch >= 2.4.0


%description
USB Modeswitch brings up your datacard into operational mode. When plugged
in they identify themselves as cdrom and present some non-Linux compatible
installation files. This tool deactivates this cdrom-devices and enables
the real communication device. It supports most devices built and
sold by Huawei, T-Mobile, Vodafone, Option, ZTE, Novatel.

This package contains the data files needed for usb_modeswitch to function.


%prep
%setup -q -n %{source_name}-%{version}

%build


%install
make install \
	DESTDIR=%{buildroot} \
	RULESDIR=%{buildroot}%{_udevrulesdir}

%post 
%udev_rules_update

%postun
%udev_rules_update


%files
%license COPYING
%doc ChangeLog README REFERENCE
%{_udevrulesdir}/40-usb_modeswitch.rules
%{_datadir}/usb_modeswitch


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20191128-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20191128-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20191128-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20191128-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 21 2022 rockerzhu <rockerzhu@tencent.com> - 20191128-1
- Initial build
